Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Dynamic_ParameterA.cpp File Reference

`#include "Dynamic_ParameterC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Struct_TypeCode_Static.h"`
`#include "tao/TypeCode_Struct_Field.h"`
`#include "tao/Recursive_Type_TypeCode.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for Dynamic_ParameterA.cpp:

## Namespaces
namespace | Dynamic
## Functions
void | operator<<= (CORBA::Any &_tao_any, const Dynamic::Parameter &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, Dynamic::Parameter *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Dynamic::Parameter *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Dynamic::Parameter *&_tao_elem)
## Variables
TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const | _tao_fields_Dynamic_Parameter []
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_Dynamic_Parameter (CORBA::tk_struct,"IDL:Dynamic/Parameter:1.0","Parameter", _tao_fields_Dynamic_Parameter, 2)
::CORBA::TypeCode_ptr const | _tc_Parameter

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Dynamic::Parameter * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Dynamic::Parameter & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Dynamic::Parameter *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Dynamic::Parameter *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const _tao_fields_Dynamic_Parameter[]`[static]`

| Initial value:
      {
        { "argument", &CORBA::_tc_any },
        { "mode", &CORBA::_tc_ParameterMode }

      }

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_Dynamic_Parameter(CORBA::tk_struct,"IDL:Dynamic/Parameter:1.0","Parameter", _tao_fields_Dynamic_Parameter, 2)`[static]`

TAO_Export::CORBA::TypeCode_ptr const Dynamic::_tc_Parameter

| Initial value:
        &_tao_tc_Dynamic_Parameter